=== debian/control ===
Source: nodejs
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), python2.5, python-simplejson
Standards-Version: 3.8.1
Homepage: http://nodejs.org/

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
XSBC-Bugtracker: https://github.com/joyent/node/issues
