=== debian/changelog ===
nodejs (0.8.15-1) unstable; urgency=low

  * Initial release

 -- Gabriele Santilli <gabriele@prolific.com>  Tue, 11 Dec 2012 11:12:14 +0100
