=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_auto_clean:
	make clean
	rm -f node
	rm -f node_g
	rm -f .lock-wscript
	rm -rf build
	rm -f test/fixtures/hello.txt
	rm -rf test/tmp
	find . -name "*.pyc" -delete
	rm -rf out
	rm -f config.gypi config.mk

override_dh_auto_configure:
	./configure --prefix=/usr --without-npm --shared-zlib

override_dh_auto_install:
	dh_auto_install
	ln -s node debian/tmp/usr/bin/nodejs
	ln -s node.1 debian/tmp/usr/share/man/man1/nodejs.1
	mv debian/tmp/usr/lib/node debian/tmp/usr/lib/nodejs

%:
	dh $@ --with autotools_dev
