## nodejs 0.10.15~dfsg1

=== debian/changelog ===
nodejs (0.10.15~dfsg1-4) unstable; urgency=low

  * Update 2005 patch, adding a handful of tests that can fail on
    slow platforms.
  * Add 1004 patch to fix test failures when writing NaN to buffer
    on mipsel.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 14 Aug 2013 00:16:46 +0200

nodejs (0.10.15~dfsg1-3) unstable; urgency=low

  * Update 2005 patch, test-stdout-close-unref and
    test-tls-zero-clear-in can fail on buildd.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Aug 2013 09:47:34 +0200

nodejs (0.10.15~dfsg1-2) unstable; urgency=low

  * Update 2005 patch, allow several tests to fail because of inner
    timeouts or race conditions on slow buildd servers. 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Aug 2013 00:09:59 +0200

nodejs (0.10.15~dfsg1-1) unstable; urgency=low

  * Upstream update.
  * kfreebsd build: uv need -ldl.
  * Update 2005 patch, allow 12 udp4 tests to fail on buildd servers.
  * 2011 patch: test.py --arch=target_arch detected by ./configure.
    This fixes an error in mipsel build.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Jul 2013 21:14:09 +0200

nodejs (0.10.13~dfsg1-2) unstable; urgency=low

  [ Jérémy Lal ]
  * Fix kfreebsd build:
    + Depend on libkvm-dev on kfreebsd systems.
    + Tighten to build-depend on gyp versions that builds using flock.
    + Add patch 2012 to add __FreeBSD_kernel__ defines.
    + Add patch 1001 readFile not throwing EISDIR on some archs.
    + Add patches 1002, 1003 to fix bugs in unit tests.
    + Set gyp flavor in rules file using --dest-os switch.
  * Restrict make check target in rules to avoid the call to jslint.

  [ Jonas Smedegaard ]
  * Make ~dfsg version suffix only optionally numbered.
  * Stop breaking packages depending on old node binary: None of the
    affected packages exist in any Debian suite since about a year.
  * Declare all package relations except same-source ones in rules file.
  * Add notes in rules file about reasons for versioned dependencies.
  * Drop NEWS file: Contains only entries for versions older than
    existing in any Debian suite since about a year.
  * Rewrite short and long descriptions based on upstream texts.
  * Bump standards-version to 3.9.4.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Jul 2013 18:50:13 +0200

nodejs (0.10.13~dfsg1-1) experimental; urgency=low

  * New upstream release.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 12 Jul 2013 12:23:38 +0200

nodejs (0.10.11~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 Jun 2013 01:32:49 +0200

nodejs (0.10.10~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Jun 2013 00:21:10 +0200

nodejs (0.10.9~dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Unapply 1001_revert_uv_osx_fix.patch, fixed upstream. 

 -- Jérémy Lal <kapouer@melix.org>  Thu, 30 May 2013 23:08:55 +0200

nodejs (0.10.8~dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Set process.config.default_configuration to Release by removing
    --debug flag.
  * 1001_revert_uv_osx_fix.patch: revert a libuv commit bringing a
    test/simple/test-stdout-close-catch.js regression.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 29 May 2013 00:42:14 +0200

nodejs (0.10.7~dfsg1-1) experimental; urgency=low

  * New upstream release.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 18 May 2013 00:40:02 +0200

nodejs (0.10.6~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 15 May 2013 00:12:32 +0200

nodejs (0.10.5~dfsg1-2) experimental; urgency=low

  * nodejs-dev.links: fix symlinks to v8 headers.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 21:15:31 +0200

nodejs (0.10.5~dfsg1-1) experimental; urgency=low

  * New upstream release. 
  * nodejs-dev.install: common.gypi is needed by node-gyp.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 20:47:03 +0200

nodejs (0.10.1~dfsg1-2) experimental; urgency=low

  * copyright: use Source field to document dfsg-repackaging.
  * nodejs-dev: install headers with the directory layout expected
    node-gyp.
  * 2005_expected_failing_tests.patch: some tests fail in chroot.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Mar 2013 16:21:25 +0100

nodejs (0.10.1~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 22 Mar 2013 00:11:25 +0100

nodejs (0.10.0~dfsg1-2) experimental; urgency=low

  * Fix have nodejs-dev depend on libv8-3.14-dev (not bogus
    libv8-3--14dev).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Mar 2013 05:07:15 +0100

nodejs (0.10.0~dfsg1-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + Node-waf dropped: Replaced by node-gyp (packaged independently).

  [ Jérémy Lal ]
  * Build-depend unversioned on cdbs: Needed version satisfied in stable
    and oldstable no longer supported.
  * Upstream tarball repackaging:
    + Exclude test/gc/node_modules.
    + Exclude tools/blog.
    + Exclude tools/wrk, a benchmark tool.
    + Exclude tools/msvs/genfiles, it should be generated instead. It
      also contains binaries and a meaningless copyright statement.
    + Exclude deps/cares.
    + Update exclusions to match already removed files.
  * Documentation building:
    + Remove workaround from 0.6.19~dfsg1-3.
    + Delete already unapplied 1002_upstream_forgot_to_build_doc.patch.
    + Remove script tags calling external assets from html files.
  * Patches:
    + Remove all patches regarding WAF.
    + Remove patches involving eio or ev since those libs have been
      rewritten inside uv.
    + Remove 2008_fix_use_shared_cares.patch, no longer needed.
    + Adjust 2005_expected_failing_tests.patch: re-enable some tests.
    + Merge path, binary renames into 2001_FHS_paths_for_nodejs.patch.
    + Remove unneeded 2002_build_without_libv8_debug.patch.
    + Remove 2007_fix_use_shared_zlib.patch, replaced by --shared-zlib,

