=== debian/changelog ===
nodejs (0.10.21~dfsg1-1~bpo7+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Oct 2013 21:05:54 +0100

nodejs (0.10.21~dfsg1-1) unstable; urgency=low

  * Upstream update.
  * Update 2005 patch, allow test-http-pipeline-flood to fail.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 19 Oct 2013 01:26:18 +0200

nodejs (0.10.20~dfsg1-1) unstable; urgency=low

  * Upstream update. 

 -- Jérémy Lal <kapouer@melix.org>  Tue, 01 Oct 2013 13:08:52 +0200

nodejs (0.10.19~dfsg1-1) unstable; urgency=low

  * Upstream update. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 27 Sep 2013 11:21:18 +0200

nodejs (0.10.18~dfsg1-1) unstable; urgency=low

  * Upstream update. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Sep 2013 20:54:54 +0200

nodejs (0.10.17~dfsg1-2) unstable; urgency=low

  * Update 2005 patch with new failing-on-slow-platforms tests.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 31 Aug 2013 09:45:06 +0200

nodejs (0.10.17~dfsg1-1) unstable; urgency=low

  * Upstream update.
  * Update 2005 patch with new failing-on-slow-platforms tests.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 17:18:29 +0200
