=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
- Jonas Smedegaard <dr@jones.dk>
+ Jonas Smedegaard <dr@jones.dk>,
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cdbs,
  devscripts,
  debhelper,
